# CVS snapshots of glibc
%define RELEASE		0
%if %{RELEASE}
%define glibcsrcdir	glibc-%{version}
%else
%define glibcsrcdir	glibc-2.16.90-54a41734
%endif

%define	checklist	%{_builddir}/%{glibcsrcdir}/Check.list

# crypt blowfish support
%define crypt_bf_ver	1.2

%define _slibdir	/%{_lib}
%define _slibdir32	/lib
%define _libdir32	%{_prefix}/lib

%define		libc_major		6
%define		libc			%mklibname c %{libc_major}
%define		libc_devel		%mklibname -d c
%define		libc_static_devel	%mklibname -d -s c
%define		multilibc		libc%{libc_major}

%define	_disable_ld_no_undefined	1
%undefine _fortify_cflags

%ifarch %{arm}
%define _gnu		-gnueabi
%endif

# Define Xen arches to build with -mno-tls-direct-seg-refs
%define xenarches	%{ix86}

# Define to build nscd with selinux support
%define build_selinux	0

# Allow make check to fail only when running kernels where we know
# tests must pass (no missing features or bugs in the kernel)
%define check_min_kver 2.6.21

# Define to build a biarch package
%define build_multiarch	0
%ifarch x86_64
%define build_multiarch	1
%endif

%define build_nscd	1
%define build_i18ndata	1
%define build_timezone	0

%define enable_nsscrypt	1
%ifarch %{ix86} x86_64
%define enable_systap	1
%else
%define enable_systap	0
%endif

# build documentation by default
%bcond_without		doc
%bcond_without		pdf
# enable utils by default
%bcond_without		utils

#-----------------------------------------------------------------------
Summary:	The GNU libc libraries
Name:		glibc
Version:	2.16.90
Release:	3
Epoch:		6
License:	LGPLv2+ and LGPLv2+ with exceptions and GPLv2+
Group:		System/Libraries
Url:		http://www.gnu.org/software/libc/

# FSF source
Source0:	http://ftp.gnu.org/gnu/glibc/%{glibcsrcdir}.tar.gz
%if %{RELEASE}
Source1:	http://ftp.gnu.org/gnu/glibc/%{glibcsrcdir}.tar.gz.sig
%endif

# Fedora tarball
Source2:	%{glibcsrcdir}-fedora.tar.gz
Source3:	glibc-manpages.tar.bz2
Source5:	glibc-check.sh

# Blowfish support
Source50:	http://www.openwall.com/crypt/crypt_blowfish-%{crypt_bf_ver}.tar.gz
Source51:	http://www.openwall.com/crypt/crypt_blowfish-%{crypt_bf_ver}.tar.gz.sign
Source52:	http://cvsweb.openwall.com/cgi/cvsweb.cgi/~checkout~/Owl/packages/glibc/crypt_freesec.c
Source53:	http://cvsweb.openwall.com/cgi/cvsweb.cgi/~checkout~/Owl/packages/glibc/crypt_freesec.h

Obsoletes:	glibc-profile
Provides:	glibc-crypt_blowfish = %{crypt_bf_ver}
Provides:	should-restart = system
# we'll be the only package requiring this, avoiding any other package
# dependencies on '/bin/sh' or 'bash'
Requires:	bash
%ifarch %{xenarches}
%rename		%{name}-xen
%endif
# The dynamic linker supports DT_GNU_HASH
Provides:	rtld(GNU_HASH)
BuildRequires:	patch, gettext, perl
BuildRequires:	kernel-headers
%if %{build_selinux}
BuildRequires:	libselinux-devel >= 1.17.10
%endif

# Old prelink versions breaks the system with glibc 2.11
Conflicts:	prelink < 1:0.4.2-1.20091104.1mdv2010.1

BuildRequires:	texinfo
%if %{with pdf}
BuildRequires:	texlive
%endif
%if %{with utils}
BuildRequires:	gd-devel
%endif
%if %{enable_systap}
BuildRequires:	systemtap
%endif
%if %{enable_nsscrypt}
BuildRequires:	nss-devel
%endif
BuildRequires:	autoconf2.5
BuildRequires:	cap-devel

#-----------------------------------------------------------------------
# fedora patches
#
# Patches that are highly unlikely to ever be accepated upstream.
#

# Configuration twiddle, not sure there's a good case to get upstream to
# change this.
Patch0: 	%{name}-fedora-nscd.patch

Patch1:		%{name}-fedora-regcomp-sw11561.patch

# Not likely to be accepted upstream
Patch2:		%{name}-rh787201.patch

# Not necessary to send upstream, fedora specific
Patch3:		%{name}-rh688948.patch

# Build info files in the source tree, then move to the build
# tree so that they're identical for multilib builds
Patch4:		%{name}-rh825061.patch

# Horrible hack, never to be upstreamed.  Can go away once the world
# has been rebuilt to use the new ld.so path.
Patch5:		%{name}-arm-hardfloat-3.patch

# Needs to be sent upstream
Patch6:		%{name}-rh697421.patch

# Needs to be sent upstream
Patch7:		%{name}-rh740682.patch

# Needs to be sent upstream
Patch8:		%{name}-rh657588.patch

# stap, needs to be sent upstream
Patch9:		%{name}-stap-libm.patch

# Needs to be sent upstream
Patch10:	%{name}-rh841318.patch

# All these were from the glibc-fedora.patch mega-patch and need another
# round of reviewing.  Ideally they'll either be submitted upstream or
# dropped.

Patch11:	%{name}-fedora-uname-getrlimit.patch
Patch12:	%{name}-fedora-__libc_multiple_libcs.patch
Patch13:	%{name}-fedora-tls-offset-rh731228.patch
Patch14:	%{name}-fedora-elf-ORIGIN.patch
Patch15:	%{name}-fedora-elf-init-hidden_undef.patch
Patch16:	%{name}-fedora-elf-rh737223.patch
Patch17:	%{name}-fedora-gai-canonical.patch
Patch18:	%{name}-fedora-test-debug-gnuc-hack.patch
Patch19:	%{name}-fedora-getconf.patch
Patch20:	%{name}-fedora-getrlimit-PLT.patch
Patch21:	%{name}-fedora-i386-tls-direct-seg-refs.patch
Patch22:	%{name}-fedora-pt_chown.patch
Patch23:	%{name}-fedora-include-bits-ldbl.patch
Patch24:	%{name}-fedora-ldd.patch
Patch25:	%{name}-fedora-linux-tcsetattr.patch
Patch26:	%{name}-fedora-locale-euro.patch
Patch27:	%{name}-fedora-localedata-locales-fixes.patch
Patch28:	%{name}-fedora-streams-rh436349.patch
Patch29:	%{name}-fedora-localedata-rh61908.patch
Patch30:	%{name}-fedora-localedef.patch
Patch31:	%{name}-fedora-locarchive.patch
Patch32:	%{name}-fedora-manual-dircategory.patch
Patch33:	%{name}-fedora-nis-rh188246.patch
Patch34:	%{name}-fedora-nptl-linklibc.patch
Patch35:	%{name}-fedora-ppc-unwind.patch
Patch36:	%{name}-fedora-nss-files-overflow-fix.patch
Patch37:	%{name}-fedora-strict-aliasing.patch

#
# Patches from upstream
#


#
# Patches submitted, but not yet approved upstream.
# Each should be associated with a BZ.
# Obviously we're not there right now, but that's the goal
#

Patch38:	%{name}-rh757881.patch

# Upstream BZ 13013
Patch39:	%{name}-rh730856.patch

Patch40:	%{name}-rh741105.patch
Patch41:	%{name}-rh770869.patch
Patch42:	%{name}-rh770439.patch
Patch43:	%{name}-rh789209.patch
Patch44:	%{name}-rh691912.patch

# Upstream BZ 13604
Patch45:	%{name}-rh790292.patch

# Upstream BZ 13603
Patch46:	%{name}-rh790298.patch

# Upstream BZ 13698
Patch47:	%{name}-rh791161.patch

# Upstream BZ 9954
Patch48:	%{name}-rh739743.patch

# Upstream BZ 13818
Patch49:	%{name}-rh800224.patch

# Upstream BZ 14247
Patch50:	%{name}-rh827510.patch

Patch51:	%{name}-rh803286.patch

# Upstream BZ 13761
Patch52:	%{name}-rh788989-2.patch

# Upstream BZ 13028
Patch53:	%{name}-rh841787.patch

# Upstream BZ 14185
Patch54:	%{name}-rh819430.patch

# See http://sourceware.org/ml/libc-alpha/2012-06/msg00074.html
Patch55:	%{name}-rh767693-2.patch


#-----------------------------------------------------------------------
# mandriva patches
Patch56:	%{name}-mandriva-localedef-archive-follow-symlinks.patch
Patch57:	%{name}-mandriva-fix-dns-with-broken-routers.patch
Patch58:	%{name}-mandriva-nss-upgrade.patch
Patch59:	%{name}-mandriva-share-locale.patch
Patch60:	%{name}-mandriva-nsswitch.conf.patch
Patch61:	%{name}-mandriva-xterm-xvt.patch
Patch62:	%{name}-mandriva-nscd-enable.patch
Patch63:	%{name}-mandriva-nscd-no-host-cache.patch
Patch64:	%{name}-mandriva-i386-hwcapinfo.patch
Patch65:	%{name}-mandriva-nscd-init-should-start.patch
Patch66:	%{name}-mandriva-timezone.patch
Patch67:	%{name}-mandriva-biarch-cpp-defines.patch
Patch68:	%{name}-mandriva-ENOTTY-fr-translation.patch
Patch69:	%{name}-mandriva-biarch-utils.patch
Patch70:	%{name}-mandriva-multiarch.patch
Patch71:	%{name}-mandriva-i586-hptiming.patch
Patch72:	%{name}-mandriva-i586-if-no-cmov.patch
Patch73:	%{name}-mandriva-pt_BR-i18nfixes.patch
Patch74:	%{name}-mandriva-testsuite-ldbl-bits.patch
Patch75:	%{name}-mandriva-testsuite-rt-notparallel.patch
Patch76:	%{name}-mandriva-fix-compile-error.patch

# https://bugzilla.redhat.com/show_bug.cgi?id=638477#c275
# https://bugzilla.redhat.com/show_bug.cgi?id=696096
# https://bugzilla.redhat.com/attachment.cgi?id=491198
Patch77:	%{name}-mandriva-fix-for-new-memcpy-behavior.patch

# odd, for some reason the fedora patch applied earlier removes install of
# streams header.. just add them back for now :|
Patch78:	%{name}-mandriva-revert-fedora-not-installing-stream-headers.patch

Patch79:	%{name}-mandriva-no-leaf-attribute.patch
Patch80:	%{name}-mandriva-string-format-fixes.patch

Patch81:	%{name}-mandriva-mdv-avx-owl-crypt.patch
Patch82:	%{name}-mandriva-mdv-owl-crypt_freesec.patch
Patch83:	%{name}-mandriva-avx-relocate_fcrypt.patch
Patch84:	%{name}-mandriva-avx-increase_BF_FRAME.patch
Patch85:	%{name}-mandriva-mdv-wrapper_handle_sha.patch

# Determine minimum kernel versions (rhbz#619538)
%define		enablekernel 2.6.32
Conflicts:	kernel < %{enablekernel}

# Don't try to explicitly provide GLIBC_PRIVATE versioned libraries
%define _filter_GLIBC_PRIVATE 1

Obsoletes:	ld.so
Provides:	ld.so

%rename		ldconfig
Provides:	/sbin/ldconfig
Obsoletes:	nss_db

%description
The glibc package contains standard libraries which are used by
multiple programs on the system. In order to save disk space and
memory, as well as to make upgrading easier, common system code is
kept in one place and shared between programs. This particular package
contains the most important sets of shared libraries: the standard C
library and the standard math library. Without these two libraries, a
Linux system will not function.

%post -p %{_sbindir}/glibc_post_upgrade

%files -f	libc.lang
%if %{build_timezone}
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/localtime
%endif
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/nsswitch.conf
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/ld.so.conf
%dir %{_sysconfdir}/ld.so.conf.d
%config(noreplace) %{_sysconfdir}/rpc
%doc %dir %{_docdir}/glibc
%doc %{_docdir}/glibc/nss
%doc %{_docdir}/glibc/gai.conf
%doc %{_docdir}/glibc/COPYING
%doc %{_docdir}/glibc/COPYING.LIB
%{_mandir}/man1/*
%{_mandir}/man8/rpcinfo.8*
%{_mandir}/man8/ld.so*
%{_localedir}/locale.alias
/sbin/sln
%{_prefix}/libexec/getconf
%ifarch x86_64
%exclude %{_prefix}/libexec/getconf/POSIX_V6_ILP32_OFF32
%exclude %{_prefix}/libexec/getconf/POSIX_V6_ILP32_OFFBIG
%exclude %{_prefix}/libexec/getconf/POSIX_V7_ILP32_OFF32
%exclude %{_prefix}/libexec/getconf/POSIX_V7_ILP32_OFFBIG
%exclude %{_prefix}/libexec/getconf/XBS5_ILP32_OFF32
%exclude %{_prefix}/libexec/getconf/XBS5_ILP32_OFFBIG
%endif
%{_slibdir}/ld-%{version}.so
%ifarch %{ix86}
%{_slibdir}/ld-linux.so.2
%{_slibdir}/i686
%endif
%ifarch x86_64
%{_slibdir}/ld-linux-x86-64.so.2
%endif
%ifarch %{arm}
%{_slibdir}/ld-linux.so.3
%endif
%{_slibdir}/lib*-[.0-9]*.so
%{_slibdir}/lib*.so.[0-9]*
%{_slibdir}/libSegFault.so
%dir %{_libdir}/audit
%{_libdir}/audit/sotruss-lib.so
%dir %{_libdir}/gconv
%{_libdir}/gconv/*.so
%{_libdir}/gconv/gconv-modules
%ghost %{_libdir}/gconv/gconv-modules.cache
%attr(4755,root,root) %{_prefix}/libexec/pt_chown
%{_bindir}/catchsegv
%{_bindir}/gencat
%{_bindir}/getconf
%{_bindir}/getent
%{_bindir}/iconv
%{_bindir}/ldd
%ifarch %{ix86}
%{_bindir}/lddlibc4
%endif
%{_bindir}/locale
%{_bindir}/localedef
%{_bindir}/makedb
%{_bindir}/pldd
%{_bindir}/rpcgen
%{_bindir}/sotruss
%{_bindir}/sprof
%{_bindir}/tzselect
%{_sbindir}/iconvconfig
%{_sbindir}/glibc_post_upgrade
/sbin/ldconfig
%{_mandir}/man8/ldconfig*
%ghost %{_sysconfdir}/ld.so.cache
%dir %{_var}/cache/ldconfig
%ghost %{_var}/cache/ldconfig/aux-cache
%{_var}/lib/rpm/filetriggers/ldconfig.*
%{_var}/db/Makefile

########################################################################
%if %{build_multiarch}
#-----------------------------------------------------------------------
%package -n	%{multilibc}
Summary:	The GNU libc libraries
Group:		System/Libraries
Conflicts:	glibc < 6:2.14.90-13

%post -n	%{multilibc}
    %{_sbindir}/iconvconfig %{_libdir32}/gconv -o %{_libdir32}/gconv/gconv-modules.cache

%description -n	%{multilibc}
The glibc package contains standard libraries which are used by
multiple programs on the system. In order to save disk space and
memory, as well as to make upgrading easier, common system code is
kept in one place and shared between programs. This particular package
contains the most important sets of shared libraries: the standard C
library and the standard math library. Without these two libraries, a
Linux system will not function.

%files -n	%{multilibc}
%{_slibdir32}/ld-%{version}.so
%{_slibdir32}/ld-linux*.so.2
%{_slibdir32}/lib*-[.0-9]*.so
%{_slibdir32}/lib*.so.[0-9]*
%{_slibdir32}/libSegFault.so
%dir %{_libdir32}/audit
%{_libdir32}/audit/sotruss-lib.so
%{_libdir32}/gconv/*.so
%{_libdir32}/gconv/gconv-modules
%ghost %{_libdir32}/gconv/gconv-modules.cache
%{_prefix}/libexec/getconf/POSIX_V6_ILP32_OFF32
%{_prefix}/libexec/getconf/POSIX_V6_ILP32_OFFBIG
%{_prefix}/libexec/getconf/POSIX_V7_ILP32_OFF32
%{_prefix}/libexec/getconf/POSIX_V7_ILP32_OFFBIG
%{_prefix}/libexec/getconf/XBS5_ILP32_OFF32
%{_prefix}/libexec/getconf/XBS5_ILP32_OFFBIG
#-----------------------------------------------------------------------
# build_multiarch
%endif

#-----------------------------------------------------------------------
%package	devel
Summary:	Header and object files for development using standard C libraries
Group:		Development/C
Requires:	%{name} = %{EVRD}
%if %{build_multiarch}
Requires:	%{multilibc} = %{EVRD}
%endif
Requires:	kernel-headers
Provides:	glibc-crypt_blowfish-devel = %{crypt_bf_ver}
%rename		glibc-doc
%if %{with pdf}
%rename		glibc-doc-pdf
%endif

%description	devel
The glibc-devel package contains the header and object files necessary
for developing programs which use the standard C libraries (which are
used by nearly all programs).  If you are developing programs which
will use the standard C libraries, your system needs to have these
standard header and object files available in order to create the
executables.

%files		devel
%{_mandir}/man3/*
%{_infodir}/libc.info*
%doc %{_docdir}/glibc/*
%exclude %{_docdir}/glibc/nss
%exclude %{_docdir}/glibc/gai.conf
%exclude %{_docdir}/glibc/COPYING
%exclude %{_docdir}/glibc/COPYING.LIB
%{_includedir}/*
%{_libdir}/*.o
%{_libdir}/*.so
%{_libdir}/libbsd-compat.a
%{_libdir}/libbsd.a
%{_libdir}/libc_nonshared.a
%{_libdir}/libg.a
%{_libdir}/libieee.a
%{_libdir}/libmcheck.a
%{_libdir}/libpthread_nonshared.a
%{_libdir}/librpcsvc.a
%if %{build_multiarch}
%{_libdir32}/*.o
%{_libdir32}/*.so
%{_libdir32}/libbsd-compat.a
%{_libdir32}/libbsd.a
%{_libdir32}/libc_nonshared.a
%{_libdir32}/libg.a
%{_libdir32}/libieee.a
%{_libdir32}/libmcheck.a
%{_libdir32}/libpthread_nonshared.a
%{_libdir32}/librpcsvc.a
%endif

#-----------------------------------------------------------------------
%package	static-devel
Summary:	Static libraries for GNU C library
Group:		Development/C
Requires:	%{name}-devel = %{EVRD}

%description	static-devel
The glibc-static-devel package contains the static libraries necessary
for developing programs which use the standard C libraries. Install
glibc-static-devel if you need to statically link your program or
library.

%files		static-devel
%{_libdir}/libBrokenLocale.a
%{_libdir}/libanl.a
%{_libdir}/libc.a
%{_libdir}/libcrypt.a
%{_libdir}/libdl.a
%{_libdir}/libm.a
%{_libdir}/libnsl.a
%{_libdir}/libpthread.a
%{_libdir}/libresolv.a
%{_libdir}/librt.a
%{_libdir}/libutil.a
%if %{build_multiarch}
%{_libdir32}/libBrokenLocale.a
%{_libdir32}/libanl.a
%{_libdir32}/libc.a
%{_libdir32}/libcrypt.a
%{_libdir32}/libdl.a
%{_libdir32}/libm.a
%{_libdir32}/libnsl.a
%{_libdir32}/libpthread.a
%{_libdir32}/libresolv.a
%{_libdir32}/librt.a
%{_libdir32}/libutil.a
%endif

########################################################################
%if %{build_nscd}
#-----------------------------------------------------------------------
%package -n	nscd
Summary:	A Name Service Caching Daemon (nscd)
Group:		System/Servers
Conflicts:	kernel < 2.2.0
Requires(pre):	rpm-helper
Requires(preun):rpm-helper
Requires(post):	rpm-helper
Requires(postun):rpm-helper

%description -n	nscd
Nscd caches name service lookups and can dramatically improve
performance with NIS+, and may help with DNS as well.

%pre -n nscd
    %_pre_useradd nscd / /sbin/nologin

%post -n nscd
    %_post_service nscd

%preun -n nscd
    %_preun_service nscd

%postun -n nscd
    %_postun_userdel nscd
    if [ "$1" -ge "1" ]; then
	/sbin/service nscd condrestart > /dev/null 2>&1 || :
    fi

%files -n 	nscd
%config(noreplace) %{_sysconfdir}/nscd.conf
%config(noreplace) %{_initrddir}/nscd
%{_sbindir}/nscd
#-----------------------------------------------------------------------
# build_nscd
%endif

########################################################################
%if %{with utils}
#-----------------------------------------------------------------------
%package	utils
Summary:	Development utilities from GNU C library
Group:		Development/Other
Requires:	%{name} = %{EVRD}

%description	utils
The glibc-utils package contains memusage, a memory usage profiler,
mtrace, a memory leak tracer and xtrace, a function call tracer which
can be helpful during program debugging.

If unsure if you need this, don't install this package.

%files		utils
%{_bindir}/memusage
%{_bindir}/memusagestat
%{_bindir}/mtrace
%{_bindir}/pcprofiledump
%{_bindir}/xtrace
%{_slibdir}/libmemusage.so
%{_slibdir}/libpcprofile.so
%if %{build_multiarch}
%{_slibdir32}/libmemusage.so
%{_slibdir32}/libpcprofile.so
%endif
#-----------------------------------------------------------------------
# with utils
%endif

########################################################################
%if %{build_i18ndata}
#-----------------------------------------------------------------------
%package	i18ndata
Summary:	Database sources for 'locale'
Group:		System/Libraries
%rename		glibc-localedata

%description	i18ndata
This package contains the data needed to build the locale data files
to use the internationalization features of the GNU libc.

%files		i18ndata
%dir %{_datadir}/i18n
%dir %{_datadir}/i18n/charmaps
%{_datadir}/i18n/charmaps/*
%dir %{_datadir}/i18n/locales
%{_datadir}/i18n/locales/*
%{_datadir}/i18n/SUPPORTED
#-----------------------------------------------------------------------
# build_i18ndata
%endif

########################################################################
%if %{build_timezone}
#-----------------------------------------------------------------------
%package -n	timezone
Summary:	Time zone descriptions
Group:		System/Base
Obsoletes:	zoneinfo

%description -n	timezone
These are configuration files that describe possible time zones.

%files -n	timezone
%{_sbindir}/zdump
%{_sbindir}/zic
%{_mandir}/man1/zdump.1*
%{_datadir}/zoneinfo
#-----------------------------------------------------------------------
# build_timezone
%endif

########################################################################
%prep
%setup -q -n %{glibcsrcdir} -b 2 -a 3 -a 50

%patch00 -p1
%patch01 -p1
%patch02 -p1
%patch03 -p1
%patch04 -p1
%patch05 -p1
%patch06 -p1
%patch07 -p1
%patch08 -p1
%patch09 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1
%patch59 -p1
%patch60 -p1
%patch61 -p1
%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p1
%patch66 -p1
%patch67 -p1
%patch68 -p1
%patch69 -p1
%patch70 -p1
%patch71 -p1
%patch72 -p1
%patch73 -p1
%patch74 -p1
%patch75 -p1
%patch76 -p1
%patch77 -p1
%patch78 -p1
%patch79 -p1
%patch80 -p1

# copy freesec source
cp %{SOURCE52} %{SOURCE53} crypt/
echo "Applying crypt_blowfish patch:"
%patch81 -p1
mv crypt/crypt.h crypt/gnu-crypt.h
cp -a crypt_blowfish-%{crypt_bf_ver}/*.[chS] crypt/

## FreeSec support for extended/new-style/BSDI hashes in crypt(3)
%patch82 -p1
%patch83 -p1
%patch84 -p0
# add sha256-crypt and sha512-crypt support to the Openwall wrapper
%patch85 -p1

%if %{build_selinux}
    # XXX kludge to build nscd with selinux support as it added -nostdinc
    # so /usr/include/selinux is not found
    ln -s %{_includedir}/selinux selinux
%endif

find . -type f -size 0 -o -name "*.orig" -exec rm -f {} \;

# Remove patch backups from files we ship in glibc packages
rm -f ChangeLog.[^0-9]*
rm -f localedata/locales/{???_??,??_??}.*
rm -f localedata/locales/[a-z_]*.*

#-----------------------------------------------------------------------
%build
# ...
mkdir bin
ln -sf %{_bindir}/ld.bfd bin/ld
export PATH=$PWD/bin:$PATH

# Prepare test matrix in the next function
> %{checklist}

#
# BuildGlibc <arch> [<extra_configure_options>+]
#
function BuildGlibc() {
  arch="$1"
  shift 1

  # Select optimization flags and compiler to use
  BuildAltArch="no"
  BuildCompFlags=""
  BuildFlags=""
  case $arch in
    i[3-6]86)
%ifarch x86_64
	BuildFlags="-march=pentium4 -mtune=generic"
	BuildAltArch="yes"
	BuildCompFlags="-m32"
%else
	BuildFlags="-march=$arch -mtune=generic"
%endif
      ;;
    x86_64)
      BuildFlags="-mtune=generic"
      ;;
    armv5t*)
      BuildFlags="-march=armv5t"
      BuildCompFlags="-march=armv5t"
      ;;
    # to check
    armv7*)
      BuildFlags="-march=armv7-a"
      BuildCompFlags="-march=armv7-a"
      ;;
  esac

  # Choose multiarch support
  MultiArchFlags=
  case $arch in
    i686 | x86_64)
      MultiArchFlags="--enable-multi-arch"
      ;;
  esac

  # Determine C & C++ compilers
  BuildCC="%{__cc} $BuildCompFlags"
  BuildCXX="%{__cxx} $BuildCompFlags"

  BuildFlags="$BuildFlags -DNDEBUG=1 %{__common_cflags} -O3"

  # XXX: -frecord-gcc-switches makes gold abort with assertion error and gcc segfault :|
  BuildFlags="$(echo $BuildFlags |sed -e 's#-frecord-gcc-switches##g')"

  # Do not use direct references against %gs when accessing tls data
  # XXX make it the default in GCC? (for other non glibc specific usage)
%ifarch %{xenarches}
  BuildFlags="$BuildFlags -mno-tls-direct-seg-refs"
%endif

  # Extra configure flags
  ExtraFlags=

   # We'll be having issues with biarch builds of these two as longs as their
   # build dependencies aren't provided as biarch packages as well.
   # But as the alternate arch is less likely to make any use of the
   # functionality and that we might just ditch biarch packaging completely,
   # we just enable it on the main arch for now.
%if %{enable_nsscrypt} || %{enable_systap}
   if [[ "$BuildAltArch" = "no" ]]; then
%if %{enable_nsscrypt}
   ExtraFlags="$ExtraFlags --enable-nss-crypt"
%endif
%if %{enable_systap}
   ExtraFlags="$ExtraFlags --enable-systemtap"
%endif
   fi
%endif

  # NPTL+TLS are now the default
  Pthreads="nptl"

  # Add-ons
  AddOns="$Pthreads,libidn"

  # Force a separate and clean object dir
  rm -rf build-$arch-linux
  mkdir  build-$arch-linux
  pushd  build-$arch-linux
  [[ "$BuildAltArch" = "yes" ]] && touch ".alt" || touch ".main"
  CC="$BuildCC" CXX="$BuildCXX" CFLAGS="$BuildFlags" LDFLAGS="%{ldflags}" ../configure \
    $arch-%{_target_vendor}-%{_target_os}%{?_gnu} \
    --prefix=%{_prefix} \
    --libexecdir=%{_prefix}/libexec \
    --infodir=%{_infodir} \
    --enable-add-ons=$AddOns \
    --disable-profile \
%if %{build_selinux}
    --with-selinux \
%else
    --without-selinux \
%endif
    --enable-bind-now \
    $ExtraFlags \
    $MultiArchFlags \
    --enable-kernel=%{enablekernel} \
    --with-headers=%{_includedir} ${1+"$@"}
  %make -r
  popd

  check_flags="-k"

  # Generate test matrix
  [[ -d "build-$arch-linux" ]] || {
    echo "ERROR: PrepareGlibcTest: build-$arch-linux does not exist!"
    return 1
  }
  local BuildJobs="-j`getconf _NPROCESSORS_ONLN`"
  echo "$BuildJobs -d build-$arch-linux $check_flags" >> %{checklist}

  case $arch in
  i686)		base_arch=i586;;
  *)		base_arch=none;;
  esac

  [[ -d "build-$base_arch-linux" ]] && {
    check_flags="$check_flags -l build-$base_arch-linux/elf/ld.so"
    echo "$BuildJobs -d build-$arch-linux $check_flags" >> %{checklist}
  }
  return 0
}

# Build main glibc
BuildGlibc %{_target_cpu}

%if %{build_multiarch}
    %ifarch x86_64
	BuildGlibc i686
    %endif
%else
    # Build i686 libraries if not already building for i686
    case %{_target_cpu} in
    i686)
	;;
    i[3-5]86)
	BuildGlibc i686
	;;
    esac
%endif

make -C crypt_blowfish-%{crypt_bf_ver} man

# post install wrapper
gcc -static -Lbuild-%{_target_cpu}-linux %{optflags} -Os fedora/glibc_post_upgrade.c -o build-%{_target_cpu}-linux/glibc_post_upgrade \
  '-DLIBTLS="/%{_lib}/tls/"' \
  '-DGCONV_MODULES_DIR="%{_libdir}/gconv"' \
  '-DLD_SO_CONF="/etc/ld.so.conf"' \
  '-DICONVCONFIG="%{_sbindir}/iconvconfig"'

#-----------------------------------------------------------------------
%check
# ...
export PATH=$PWD/bin:$PATH

export TMPDIR=/tmp
export TIMEOUTFACTOR=16
while read arglist; do
    sh %{SOURCE5} $arglist || exit 1
done < %{checklist}

#-----------------------------------------------------------------------
%install
# ...
export PATH=$PWD/bin:$PATH

%if %{build_multiarch}
    %ifarch x86_64
	ALT_ARCH=i686
    %endif
    %make install install_root=%{buildroot} -C build-${ALT_ARCH}-linux
%endif
%make install install_root=%{buildroot} -C build-%{_target_cpu}-linux
%if %{build_multiarch}
    %ifarch x86_64
	rm -f %{buildroot}%{_bindir}/lddlibc4
    %endif
%endif

install -m700 build-%{_target_cpu}-linux/glibc_post_upgrade -D %{buildroot}%{_sbindir}/glibc_post_upgrade
sh manpages/Script.sh

# Install extra glibc libraries
function InstallGlibc() {
  local BuildDir="$1"
  local SubDir="$2"
  local LibDir="$3"

  [[ -z "$LibDir" ]] && LibDir="%{_slibdir}"

  pushd $BuildDir
  mkdir -p %{buildroot}$LibDir/$SubDir/
  install -m755 libc.so %{buildroot}$LibDir/$SubDir/`basename %{buildroot}$LibDir/libc-*.so`
  ln -sf `basename %{buildroot}$LibDir/libc-*.so` %{buildroot}$LibDir/$SubDir/`basename %{buildroot}$LibDir/libc.so.*`
  install -m755 math/libm.so %{buildroot}$LibDir/$SubDir/`basename %{buildroot}$LibDir/libm-*.so`
  ln -sf `basename %{buildroot}$LibDir/libm-*.so` %{buildroot}$LibDir/$SubDir/`basename %{buildroot}$LibDir/libm.so.*`
  install -m755 nptl/libpthread.so %{buildroot}$LibDir/$SubDir/`basename %{buildroot}$LibDir/libpthread-*.so`
  ln -sf `basename %{buildroot}$LibDir/libpthread-*.so` %{buildroot}$LibDir/$SubDir/`basename %{buildroot}$LibDir/libpthread.so.*`
  install -m755 nptl_db/libthread_db.so %{buildroot}$LibDir/$SubDir/`basename %{buildroot}$LibDir/libthread_db-*.so`
  ln -sf `basename %{buildroot}$LibDir/libthread_db-*.so` %{buildroot}$LibDir/$SubDir/`basename %{buildroot}$LibDir/libthread_db.so.*`
  install -m755 rt/librt.so %{buildroot}$LibDir/$SubDir/`basename %{buildroot}$LibDir/librt-*.so`
  ln -sf `basename %{buildroot}$LibDir/librt-*.so` %{buildroot}$LibDir/$SubDir/`basename %{buildroot}$LibDir/librt.so.*`
  popd
}

# Install arch-specific optimized libraries
case %{_target_cpu} in
i[3-5]86)
  InstallGlibc build-i686-linux i686
  ;;
esac

# NPTL <bits/stdio-lock.h> is not usable outside of glibc, so include
# the generic one (RH#162634)
install -m644 bits/stdio-lock.h -D %{buildroot}%{_includedir}/bits/stdio-lock.h
# And <bits/libc-lock.h> needs sanitizing as well.
install -m644 fedora/libc-lock.h -D %{buildroot}%{_includedir}/bits/libc-lock.h

# Compatibility hack: this locale has vanished from glibc, but some other
# programs are still using it. Normally we would handle it in the %pre
# section but with glibc that is simply not an option
mkdir -p %{buildroot}%{_localedir}/ru_RU/LC_MESSAGES

# Remove the files we don't want to distribute
rm -f %{buildroot}%{_libdir}/libNoVersion*
rm -f %{buildroot}%{_slibdir}/libNoVersion*

ln -sf libbsd-compat.a %{buildroot}%{_libdir}/libbsd.a
%if %{build_multiarch}
    ln -sf libbsd-compat.a %{buildroot}%{_libdir32}/libbsd.a
%endif

install -m 644 mandriva/nsswitch.conf %{buildroot}%{_sysconfdir}/nsswitch.conf

# This is for ncsd - in glibc 2.2
%if %{build_nscd}
    install -m 644 nscd/nscd.conf %{buildroot}%{_sysconfdir}
    mkdir -p %{buildroot}%{_initrddir}
    install -m 755 nscd/nscd.init %{buildroot}%{_initrddir}/nscd
%endif

# These man pages require special attention
mkdir -p %{buildroot}%{_mandir}/man3
install -p -m 0644 crypt_blowfish-%{crypt_bf_ver}/*.3 %{buildroot}%{_mandir}/man3/

# Useless and takes place
rm -rf %{buildroot}/%{_datadir}/zoneinfo/{posix,right}

# Include ld.so.conf
echo "include /etc/ld.so.conf.d/*.conf" > %{buildroot}%{_sysconfdir}/ld.so.conf
chmod 644 %{buildroot}%{_sysconfdir}/ld.so.conf
mkdir -p  %{buildroot}%{_sysconfdir}/ld.so.conf.d

# ldconfig cache
mkdir -p %{buildroot}%{_var}/cache/ldconfig
touch %{buildroot}%{_var}/cache/ldconfig/aux-cache

# automatic ldconfig cache update on rpm installs/removals
# (see http://wiki.mandriva.com/en/Rpm_filetriggers)
install -d %{buildroot}%{_var}/lib/rpm/filetriggers
cat > %{buildroot}%{_var}/lib/rpm/filetriggers/ldconfig.filter << EOF
^.((/lib|/usr/lib)(64)?/[^/]*\.so\.|/etc/ld.so.conf.d/[^/]*\.conf)
EOF
cat > %{buildroot}%{_var}/lib/rpm/filetriggers/ldconfig.script << EOF
#!/bin/sh
ldconfig -X
EOF
chmod 755 %{buildroot}%{_var}/lib/rpm/filetriggers/ldconfig.script

# gconv-modules.cache
touch %{buildroot}%{_libdir}/gconv/gconv-modules.cache
chmod 644 %{buildroot}%{_libdir}/gconv/gconv-modules.cache
%if %{build_multiarch}
    touch %{buildroot}%{_libdir32}/gconv/gconv-modules.cache
    chmod 644 %{buildroot}%{_libdir32}/gconv/gconv-modules.cache
%endif

touch %{buildroot}%{_sysconfdir}/ld.so.cache

# Strip debugging info from all static libraries
pushd %{buildroot}%{_libdir}
    for i in *.a; do
	if [ -f "$i" ]; then
	    strip -g -R .comment -R .GCC.command.line $i
	fi
    done
popd

# rquota.x and rquota.h are now provided by quota
rm -f %{buildroot}%{_includedir}/rpcsvc/rquota.[hx]

%if %{build_i18ndata}
    install -m644 localedata/SUPPORTED %{buildroot}%{_datadir}/i18n/
%endif

rm -rf %{buildroot}%{_includedir}/netatalk/

# /etc/localtime - we're proud of our timezone #Well we(mdk) may put Paris
%if %{build_timezone}
    rm -f %{buildroot}%{_sysconfdir}/localtime
    cp -f %{buildroot}%{_datadir}/zoneinfo/US/Eastern %{buildroot}%{_sysconfdir}/localtime
    #ln -sf ..%{_datadir}/zoneinfo/US/Eastern %{buildroot}%{_sysconfdir}/localtime
%endif

# Documentation
install -m 755 -d %{buildroot}%{_docdir}/glibc
    pushd build-%{_target_cpu}-linux html
%if %{with doc}
	make html
	cp -fpar manual/libc %{buildroot}%{_docdir}/glibc/html
%endif
%if %{with pdf}
	make pdf
	install -m644 -D manual/libc.pdf %{buildroot}%{_docdir}/glibc/libc.pdf
%endif
    popd
install -m 644 COPYING COPYING.LIB README NEWS INSTALL BUGS		\
    PROJECTS CONFORMANCE hesiod/README.hesiod				\
    ChangeLog* crypt/README.ufc-crypt nis/nss posix/gai.conf		\
    %{buildroot}%{_docdir}/glibc
xz -0 --text %{buildroot}%{_docdir}/glibc/ChangeLog*
install -m 644 timezone/README %{buildroot}%{_docdir}/glibc/README.timezone
install -m 755 -d %{buildroot}%{_docdir}/glibc/crypt_blowfish
install -m 644 crypt_blowfish-%{crypt_bf_ver}/{README,LINKS,PERFORMANCE} \
    %{buildroot}%{_docdir}/glibc/crypt_blowfish

# Localization
%find_lang libc

# Remove unpackaged files
rm -f  %{buildroot}%{_infodir}/dir.old*
rm -rf %{buildroot}%{_includedir}/asm-*/mach-*/
rm -f  %{buildroot}%{_localedir}/locale-archive*
# XXX: verify
find %{buildroot}%{_localedir} -type f -name LC_\* -o -name SYS_LC_\* |xargs rm -f

%if !%{build_nscd}
    rm -f %{buildroot}%{_sbindir}/nscd
%endif

rm -f %{buildroot}%{_infodir}/dir

%if %{without utils}
    rm -f  %{buildroot}%{_bindir}/memusage
    rm -f  %{buildroot}%{_bindir}/memusagestat
    rm -f  %{buildroot}%{_bindir}/mtrace
    rm -f  %{buildroot}%{_bindir}/pcprofiledump
    rm -f  %{buildroot}%{_bindir}/xtrace
    rm -f  %{buildroot}%{_slibdir}/libmemusage.so
    rm -f  %{buildroot}%{_slibdir}/libpcprofile.so
    %if %{build_multiarch}
	rm -f  %{buildroot}%{_slibdir32}/libmemusage.so
	rm -f  %{buildroot}%{_slibdir32}/libpcprofile.so
    %endif
%endif

%if !%{build_timezone}
    rm -f  %{buildroot}%{_sysconfdir}/localtime
    rm -f  %{buildroot}%{_sbindir}/zdump
    rm -f  %{buildroot}%{_sbindir}/zic
    rm -f  %{buildroot}%{_mandir}/man1/zdump.1*
    rm -rf %{buildroot}%{_datadir}/zoneinfo
%endif

%if !%{build_i18ndata}
    rm -rf %{buildroot}%{_datadir}/i18n
%endif

# This will make the '-g' argument to be passed to eu-strip for these libraries, so that
# some info is kept that's required to make valgrind work without depending on glibc-debug
# package to be installed.
export EXCLUDE_FROM_FULL_STRIP="ld-%{version}.so libpthread libc-%{version}.so libm-%{version}.so"


%changelog
* Tue Nov 06 2012 Paulo Andrade <pcpa@mandriva.com.br> 6:2.16.90-3
+ Revision: 821958
- Update to a newer fedora based glibc-2.16.90 snapshot

* Fri Sep 28 2012 Paulo Andrade <pcpa@mandriva.com.br> 6:2.16.90-2
+ Revision: 817852
- Rebuild due to package partially uploaded.

* Fri Sep 28 2012 Paulo Andrade <pcpa@mandriva.com.br> 6:2.16.90-1
+ Revision: 817833
- Update to glibc-2.16.90.

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - installation of info pages are now left to triggers
    - clean buildrequires

* Thu May 24 2012 Paulo Andrade <pcpa@mandriva.com.br> 6:2.15-3
+ Revision: 800481
- Correct typo in libc6 post.

* Wed May 23 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 6:2.15-2
+ Revision: 800239
- add versioned conflict to deal with upgrades
- use %%_filter_GLIBC_PRIVATE for new dependency generator

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Generate 32 bit gconv-modules.cache in multilib libc6 package post.

* Mon Feb 13 2012 Paulo Andrade <pcpa@mandriva.com.br> 6:2.15-1
+ Revision: 773711
- Update to glibc-2.15.

* Tue Jan 31 2012 Paulo Andrade <pcpa@mandriva.com.br> 6:2.14.90-15
+ Revision: 769973
- Backport correction to glibc bug #13618 (corrects mandriva bugzilla #64917)

  + Bernhard Rosenkraenzer <bero@bero.eu>
    - Fix DNS lookup on broken routers if there's a
      link-local IPv6 address (and only that)

* Mon Jan 30 2012 Paulo Andrade <pcpa@mandriva.com.br> 6:2.14.90-14
+ Revision: 769760
- Do not strip libm.so or it may cause major problems (fixes mdv #64917)

* Fri Jan 27 2012 Paulo Andrade <pcpa@mandriva.com.br> 6:2.14.90-13
+ Revision: 769239
- Rebuild for split 32 bit libraries.
- Split elf 32 binaries from x86_64 glibc in newer libc6 package.
- Conflict with installed old kernel ignoring running kernel version.
- Update to require kernel-headers and not a provides.
- Update packages summaries to remove outdated information.
- Move obsoletes to proper package and remove ancient obsoletes.
- Reorder spec file sections to keep package information together.
- Explicitly list files and remove bogus code to generate filelist files.
- Rename build_biarch to build_multiarch.
- Remove remaining cross build unused macro.
- Simplify logic with same command under conditional.
- Use macro for /usr/lib instead of "composing" it in all uses.
- Make and run a true rpm check section.
- Convert some options to use bcond_with{,out}.
- Simplification of multiple selection of thread model with single alternative.
- Remove target_cpu macro and use only system wide _target_cpu.
- Remove some ancient provides and conflicts.
- Move documentation COPYING files from devel to main package.
- Always install info files in devel package.
- Use build_doc flag to control build html documentation, not info files.
- Use proper makefile target to generate pdf documentation.
- Support only native rpm build.
- Disable builds for architectures not tested in five or more years.
- Obsolete doc packages and move documentation to glibc-devel.
- Enable xen only for ix86.
- Disable build and obsolete glibc-profile.
- Remove patch to check and build with gold.
- Remove ignored, historic configure options.
- Correct wrong logic and checks for i[345]86 including i686.
- Remove already applied or not used patches.
- Correct typo in nscd pre scriptlet.

* Tue Dec 13 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 6:2.14.90-12
+ Revision: 740643
- drop ancient conflicts on findutils < 4.3.5
- remove ancient conflicts on rpm < 4.2.2
- remove ancient %%pre script for -devel package to ensure no directory conflict
- add a manual dependency on 'bash' to adapt to removal of all '/bin/sh' & 'bash'
  dependencies otherwise in the distribution
-mno-tls-direct-seg-refs is only needed on 32 bit x86
- fix access after end of search string in regex matcher (rhbz#757887, P59 from
  Fedora)
- don't fail in makedb if SELinux is disabled (rhbz#750858, P58 from Fedora)
- drop lock before calling malloc_printerr (rhbz#757881, P57 from Fedora)
- check malloc arena atomically (BZ#13071) & don't call reused_arena when
  _int_new_arena failed (rhbz#753601, P56 from Fedora)
- fix grouping and reuse other locales in various locales (BZ#13147, P55 from
  Fedora)
- apply string format fixes to files in check suite as well.. (updates P54)

* Thu Dec 01 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 6:2.14.90-11
+ Revision: 735910
- revert %%pre script as binaries shipped with package of course cannnot be
  executed before being available on system </sillywabbit>

* Wed Nov 30 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 6:2.14.90-10
+ Revision: 735833
- change to /sbin/nologin as login shell for nscd user
- add kernel check in %%pre to prevent upgrades when running under too old kernel
- bump versioned rpm buildrequires to ensure we get rpm version with fixed
  stripping, making valgrind work again without -debug package
- string format fixes (P54)
- compile with %%{ldflags}
- compile with %%{__common_cflags} and drop '-frecord-gcc-switches' due to linker
  bug
- drop ancient, overlapping versioned gcc buildrequires
- lddlibc4 isn't built with minimal
- pass debug flags to compiler with %%{debugcflags} in stead of '-g'
- fix build when both systap & nsscrypt is disabled

* Sat Nov 26 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 6:2.14.90-9
+ Revision: 733535
- darnit, previous release ended up being built with wrong dep generator...

* Sat Nov 26 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 6:2.14.90-8
+ Revision: 733519
- remove %%{_infodir}/dir which suddenly popped out from nowhere..
- really fix platform..
- add versioned buildrequires on rpm to ensure getting latest macros
- drop gcc 3.0 inlining workaround
- compile with -O3
- get rid of find-{requires,provides} hack, in stead use filter out GLIBC_PRIVATE
- sync with glibc-2.14.90-15 from fedora

* Fri Nov 25 2011 Oden Eriksson <oeriksson@mandriva.com> 6:2.14.90-7
+ Revision: 733325
- rebuild
- crypt_blowfish-1.2 (crypt_blowfish-1.1 fixed CVE-2011-2483)
- rediffed the needed patches

* Fri Nov 25 2011 Oden Eriksson <oeriksson@mandriva.com> 6:2.14.90-6
+ Revision: 733303
- revert -r733248

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Add glibc patch required for openjdk bootstrap in armv7hl
    - Remove misplaced Autoreq false and non needed Autoreq true.

* Sun Oct 02 2011 Oden Eriksson <oeriksson@mandriva.com> 6:2.14.90-5
+ Revision: 702438
- attempt to relink against libpng15.so.15

* Thu Aug 11 2011 Paulo Andrade <pcpa@mandriva.com.br> 6:2.14.90-4
+ Revision: 693913
- Rebuild after corrected multilib support and built with newer binutils

* Thu Aug 11 2011 Paulo Andrade <pcpa@mandriva.com.br> 6:2.14.90-3
+ Revision: 693908
- Rebuild with newer cooker binutils.

* Wed Jul 27 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 6:2.14.90-2
+ Revision: 691952
- revert part of fedora patch preventing streams headers being installed
- add missing buildrequires on nss-devel if building with nss-crypt enabled
- update crypt_freesec and add url for
- add url for crypt_blowfish and signature
- move use of %%isarch after it's definition
- enable ports build for mips as well
- make %%ifarch into %%if %%isarch for enabling ports build to work with cross build
- don't disable ports build on build of snapshot release
- drop glibc_local-syscall-mcount.diff (P50), already applied (pcpa)
- fix extraction of glibc-ports tarball (pcpa)
- drop dependency on dash.static now that shell scripting in %%post has been
  replaced by a statically linked C program
- add obsoletes on nss_db
- enable systemtap & nss-crypt for main arch (another nail in the coffin for
  biarch packaging)

* Mon Jul 25 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 6:2.14.90-1
+ Revision: 691638
- postpone enabling systemtap
- disable nss-crypt for now, need to work out multilib/biarch -devel
  buildrequires issue first..
- configure with --enable-nss-crypt
- enable systemtap on %%{ix86} & x86_64
- install a sanitized LinuxThreads <bits/libc-lock.h>
- update obsolete glibc-redhat tarball with latest glibc-fedora one
- switch to use updated glibc_post_upgrade from fedora in %%post
- bump required kernel version to 2.6.32
- configure with --enable-bind-now to avoid lazy binding in ld.so and libc.so
- compile glibc-post-wrapper with %%optflags
- compress ChangeLog with xz rather than gzip
- clean up spec a bit
- ditch patch changing _PATH_VARDB to "/var/lib/misc/", revert back to "/var/db/
- only install what's needed for 32 bit lib on biarch, rather than rm'ing after..
- don't do useless installation of locales, it only wastes time while now being
  moved out and done in the 'locales' package
- use %%{_localedir} variable
- remove locale files generated, those will be built with the 'locales' package
- don't ship 32 bit gconv libraries with 64 bit build
- don't conditionally include glibc-ports tarball, otherwise it'll get dropped
  whenever rebuilding the src.rpm on standard archs...
- sync with fedora glibc-2.14.90-4
- Don't free non-malloced memory and fix memory leak (P53, #709267)
- remove sotruss from %%buildroot when not building -utils package

* Mon Jul 18 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 6:2.14-1
+ Revision: 690346
- when building 32 bit biarch libraries on x86_64, build with -march=pentium4
- update license tag
- fix crash in libdl (P52)
- fix crash when trying to resolve hostname without reaching dns (P51, from arch)
- new version

* Thu Jul 14 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 6:2.13-5
+ Revision: 690003
- clean out a lot of old junk like obsolete scriptlets, provides, conflicts+++
- apply some cosmetics
- drop ancient -debug packaging which has been deprecated by rpm for ages
- add a '--with minimal' build option for doing quick builds for testing etc..
- strip away .GCC.command.line section from object in static libs as well
- use new EXCLUDE_FROM_FULL_STRIP variable to have external script take care
  of stripping, while keeping the symbols around in the -debug package
- fix removal of unpackaged files to fix builds without build_nscd or build_nscd

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Add changes required for an arm port.

* Sat Apr 16 2011 Paulo Andrade <pcpa@mandriva.com.br> 6:2.13-4
+ Revision: 653656
- Rebuild with workaround to programs that call memcpy with overlapping pointers

* Thu Apr 14 2011 Paulo Andrade <pcpa@mandriva.com.br> 6:2.13-3
+ Revision: 653054
- Add workaround for buggy programs that do not work with backwards memcpy

* Fri Apr 08 2011 Paulo Andrade <pcpa@mandriva.com.br> 6:2.13-2
+ Revision: 651893
- Correct prelink problem (#62986)

  + Alexandre Felipe Muller de Souza <alexandrefm@mandriva.com>
    - Fixing build for x86_64
    - Updating glibc to 2.13
    - Resolving problem for bug 62776

* Mon Dec 27 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.12.1-8mnb2
+ Revision: 625383
- Fix _PATH_VI for Mandriva also in sysdeps/unix/sysv/linux/paths.h
  (MDV #60929).

* Tue Nov 23 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.12.1-7mnb2
+ Revision: 600264
- Include getlogin_r fixes from glibc head (MDV #61145).

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 6:2.12.1-6mnb2
+ Revision: 587863
- P45: security fix for CVE-2010-3856 (redhat)

* Wed Oct 20 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.12.1-5mnb2
+ Revision: 586990
- Add fix for CVE-2010-3847
  (http://sourceware.org/ml/libc-hacker/2010-10/msg00007.html)

* Sat Oct 16 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.12.1-4mnb2
+ Revision: 585932
- Add patch from Andreas Schwab, posted on libc-hacker, that fixes
  another make 3.82 issue in glibc, detected by tst-xmmymm failure
  (http://sources.redhat.com/ml/libc-hacker/2010-09/msg00001.html)

* Wed Sep 29 2010 Anssi Hannula <anssi@mandriva.org> 6:2.12.1-3mnb2
+ Revision: 582103
- fix regression of ldconfig -r when /var/cache/ldconfig does not exist
  inside the chroot and running as non-root (as used by e.g. icecream)
  (upstream bug #11149, patch by Petr Baudis)

* Tue Sep 28 2010 Anssi Hannula <anssi@mandriva.org> 6:2.12.1-2mnb2
+ Revision: 581834
- fix build of locales package by adding transliteration for U20A1
  (COLON SIGN) (patch by Aurelien Jarno from Debian tree as spotted by
  Thomas Backlund)

* Fri Aug 27 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.12.1-0.1mnb2
+ Revision: 573446
- Updated to version 2.12.1
- Fix build with make 3.82
- Rediffed assign-global-scope-to-RFC-1918-addresses patch
- Include nss config file template for /etc/default in documentation
- Dropped merged/obsolete patches:
  glibc-2.11-Prevent-silent-errors-should-x86-64-strncmp-be-neede.patch
  glibc-2.11-Avoid-ELF-lookup-race.patch
  glibc-2.11-Fix-malloc_info-without-prioor-allocations.patch
  glibc-2.11-Pass-sysdep-LDFLAGS-when-using-print-file-name.patch
  glibc-2.11-_nl_load_locale-incorrectly-handles-mmap-failures.patch
  glibc-2.11-sysdeps-ieee754-ldbl-128-fixes.patch
  glibc-2.11-Don-t-map-U00DF-to-U1E9E-in-toupper-table.patch
  glibc-2.11-check-fd-arg-in-futimens.patch
  glibc-2.11-Add-nonnull-attribute-to-unsetenv-declaration.patch
  glibc-2.11-Additional-setcontext-etc.-conformance-tests.patch
  glibc-2.11-Make-unistd.h-pre-c-safe.patch
  glibc-2.6.1-CVE-2010-0296.diff
  glibc-2.11-Remove-unnecessary-returns.patch
  glibc-2.11-Always-use-IPv4-sockets-for-IPv4-addresses.patch
  glibc-2.11-Fix-error-checking-in-iconv.patch
  glibc-2.11-Redefine-O_SYNC-and-O_DSYNC-to-match-2.6.33-kernels.patch
  glibc-2.11-regcomp.c-do-not-ignore-memory-allocation-failure.patch
  glibc-2.6.1-CVE-2010-0015.diff
  glibc-2.11-Use-struct-timespec-for-timestamps-in-struct-stat-al.patch
  glibc-2.11-Remove-duplicate-definitions-of-O_DSYNC-and-O_RSYNC.patch
  glibc-2.11-Fix-typo-in-feature-selection-macro-use.patch
  glibc-2.11-Fix-file-descriotor-leak-in-nftw-with-FTW_CHDIR.patch
  glibc-2.11-Try-harder-to-re-exec-nscd-in-paranoia-mode.patch
  glibc-2.11-assign-global-scope-to-RFC-1918-addresses.patch
  glibc-2.11-Fix-a-few-more-cases-of-ignored-return-values-in-reg.patch
  glibc-2.11-Fix-endless-loop-with-invalid-etc-shells-file.patch
  glibc-2.11-Follow-kernel-F_OWNER_-GID-PGRP-change.patch
  glibc-2.11-Define-IPTOS_CLASS_-macros-according-to-RFC-2474.patch
  glibc-2.11-Use-correct-type-when-casting-d_tag.patch
  glibc-2.11-Invalid-timeouts-in-i386-sem_timedwait.patch
  glibc-2.11-more-re-fixes.patch
  glibc-2.11-Define-SCHED_IDLE-and-SCHED_RESET_ON_FORK-for-Linux.patch
  glibc-2.11-Fix-sorting-of-malayalam-letter-na.patch
  glibc-2.11-Update-constants-for-current-kernels.patch
  glibc-2.11-Ignore-negative-dynamic-entry-types.patch
  glibc-2.11-Avoid-alloca-in-setenv-for-long-strings.patch
  glibc-2.11-Update-poll.h-header-for-POSIX-2008.patch

* Tue Jun 08 2010 Oden Eriksson <oeriksson@mandriva.com> 6:2.11.1-8mnb2
+ Revision: 547264
- P95: security fix for CVE-2010-0015
- P96: security fix for CVE-2010-0296

* Mon May 31 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.11.1-7mnb2
+ Revision: 546806
- Fix permission of /usr/share/doc/glibc-devel/crypt_blowfish-1.0.2/*
  files (#59585).

* Fri May 14 2010 Eugeni Dodonov <eugeni@mandriva.com> 6:2.11.1-6mnb2
+ Revision: 544813
- Bump release.

  + Herton Ronaldo Krzesinski <herton@mandriva.com.br>
    - Revert removal of exclusion list to avoid stripping of some of glibc
      libraries and loader (#59247).
    - Removal of more unwanted patch backup files shipped in created packages.

* Tue Apr 27 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.11.1-4mnb2
+ Revision: 539689
- Rebuild with rpm-mandriva-setup-build >= 1.104, with fixed stripping
  of shared libraries (reported/requested by Christophe Fergeau).

* Mon Apr 19 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.11.1-3mnb2
+ Revision: 536772
- Assign global scope to RFC 1918 addresses in getaddrinfo (MDV #58834).

* Thu Apr 08 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.11.1-2mnb2
+ Revision: 533159
- Fix localedef --add-to-archive with locales which have symlinked
  common files to optimize disk space usage.

* Wed Mar 31 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.11.1-1mnb2
+ Revision: 530536
- Updated to glibc 2.11.1, dropped merged patches:
  glibc-2.11-restore-locking-in-free_check.patch
  glibc-2.11-Add-missing-Linux-MADV_-definitions.patch
  glibc-2.11-Fix-getwc-and-putwc-on-non-wide-streams.patch
  glibc-2.11-Avoid-warnings-in-CPU_-macros-when-using-const-bitsets.patch
  glibc-2.11-Fix-startup-to-security-relevant-static-binaries.patch
  glibc-2.11-Fix-F_SETOWN_EX-and-F_GETOWN_EX-definitions.patch
  glibc-2.11-Fix-spelling-in-memusagestat.c.patch
  glibc-2.11-Fix-week-information-for-nl_NL-locale.patch
  glibc-2.11-Properly-handle-STT_GNU_IFUNC-symbols-in-do_sym.patch
  glibc-2.11-Prevent-unintended-file-desriptor-leak-in-grantpt.patch
  glibc-2.11-Handle-running-out-of-buffer-space-with-IPv6-mapping.patch
  glibc-2.11-Fixes-for-bz10968-bz10969.patch
  glibc-2.11-Reinitialize-_create_xid-state-after-fork.patch
  glibc-2.11-Define-week-first_weekday-and-first_workday-for-en_DK.patch
  glibc-2.11-Define-week-first_weekday-and-first_workday-for-hsb_DE.patch
  glibc-2.10.1-fix-preadv-pwritev-fallocate-__off_t.patch
  glibc-2.11-Fix-ranges-with-multibyte-characters-as-endpoints.patch
  glibc-2.11-Fix-infloop-in-__pthread_disable_asynccancel-on-x86_64.patch

* Fri Mar 05 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 6:2.11-2mnb2
+ Revision: 514736
- fix #57754 at the source in rpm-mandriva-setup-build & spec-helper in stead
- don't strip away symbols needed for ie. valgrind (fixes #57754)

  + Herton Ronaldo Krzesinski <herton@mandriva.com.br>
    - Apply fixes/additions from glibc git master in glibc 2.11 for
      following upstream tickets: bz11126, bz11120, bz11200, bz10992,
      bz11115, bz11194, bz11141, bz11127, bz11271, bz11242, bz11027,
      bz11183, bz11184, bz11185, bz11186, bz11187, bz11188, bz11189,
      bz11190, bz11191, bz11192, bz11193, bz10414, bz11235, bz11093.
    - Apply following fixes from glibc git master:
      * Avoid ELF lookup race
      * Pass $(sysdep-LDFLAGS) when using --print-file-name
      * sysdeps/ieee754/ldbl-128/ fixes
      * Don't map U00DF to U1E9E in toupper table
      * Add nonnull attribute to unsetenv declaration
      * Make unistd.h pre-c99-safe
      * Fix error checking in iconv
      * Redefine O_SYNC and O_DSYNC to match 2.6.33+ kernels
      * Remove duplicate definitions of O_DSYNC and O_RSYNC for Linux/sparc
      * Fix typo in feature selection macro use
      * Fix a few more cases of ignored return values in regex
      * Use correct type when casting d_tag
      * Invalid timeouts in i386 sem_timedwait
      * Simplify test in re_string_skip_chars
      * Ignore negative dynamic entry types
      * Avoid alloca in setenv for long strings

* Thu Dec 03 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.11-1mnb2
+ Revision: 472873
- Added conflicts for old prelink versions that brakes the system with
  glibc 2.11
- Added fix for bz10851, patch from upstream bugzilla.
- Apply upstream fixes/testcases after glibc 2.11, consisting in the
  following patches:
  glibc-2.11-Properly-handle-STT_GNU_IFUNC-symbols-in-do_sym.patch
  glibc-2.11-Fix-spelling-in-memusagestat.c.patch
  glibc-2.11-Handle-running-out-of-buffer-space-with-IPv6-mapping.patch
  glibc-2.11-Fix-F_SETOWN_EX-and-F_GETOWN_EX-definitions.patch
  glibc-2.11-Add-missing-Linux-MADV_-definitions.patch
  glibc-2.11-Fixes-for-bz10968-bz10969.patch
  glibc-2.11-Fix-ranges-with-multibyte-characters-as-endpoints.patch
  glibc-2.11-Follow-kernel-F_OWNER_-GID-PGRP-change.patch
  glibc-2.11-Avoid-warnings-in-CPU_-macros-when-using-const-bitsets.patch
  glibc-2.11-Fix-getwc-and-putwc-on-non-wide-streams.patch
  glibc-2.11-Reinitialize-_create_xid-state-after-fork.patch
  glibc-2.11-Fix-week-information-for-nl_NL-locale.patch
  glibc-2.11-Try-harder-to-re-exec-nscd-in-paranoia-mode.patch
  glibc-2.11-Use-struct-timespec-for-timestamps-in-struct-stat-al.patch
  glibc-2.11-Define-week-first_weekday-and-first_workday-for-en_DK.patch
  glibc-2.11-Define-week-first_weekday-and-first_workday-for-hsb_DE.patch
  glibc-2.11-Fix-startup-to-security-relevant-static-binaries.patch
  glibc-2.11-Prevent-unintended-file-desriptor-leak-in-grantpt.patch
  glibc-2.11-Fix-infloop-in-__pthread_disable_asynccancel-on-x86_64.patch
  glibc-2.11-Define-SCHED_IDLE-and-SCHED_RESET_ON_FORK-for-Linux.patch
- Enable experimental-malloc, and replace mdv51545 patch by "Restore
  locking in free_check" upstream fix.
- Enable multi-arch for i686 and x86_64.
- Enable verbose build for checking.
- Do not build with -U_FORTIFY_SOURCE
- kernel-headers was renamed to linux-userspace-headers, update
  BuildRequires/Requires.
- Use /usr/libexec as libexec directory.
- Add BuildRequires for libcap-devel
- Updated to 2.11
  * dropped merged patches:
    glibc-2.10-branch.patch
    glibc-2.10.1-branch-revert-fix-permission-slave-dev-on-devpts.patch
  * dropped libidn tarballs, libidn is now included in main glibc 2.11
  * provide againt pt_chown after grantpt/pt_chown changes in 2.11, also
    allow libcap to be used without selinux.

* Tue Nov 17 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.10.1-8mnb2
+ Revision: 467050
- Ship SUPPORTED localedata file with glibc-i18ndata

* Mon Nov 09 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.10.1-7mnb2
+ Revision: 463354
- Apply "Fix preadv, pwritev and fallocate for -D_FILE_OFFSET_BITS=64"
  change from glibc upstream.

* Fri Oct 09 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.10.1-6mnb2
+ Revision: 456468
- glibc-manpages.tar.bz2: remove tzselect man page, it's outdated, newer
  versions are provided by man-pages* packages (#20326).

  + Pascal Terjan <pterjan@mandriva.org>
    - Fix service name for mysql (Guillaume Rousse)

* Fri Jul 31 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.10.1-5mnb2
+ Revision: 405246
- Mandriva does not ship pt_chown with glibc, not supporting system
  without devpts. After glibc 2.10.1 we will must ship it again with
  suid because of grantpt changes upstream, but for now just revert the
  grantpt commit cherry pick from upstream changes with bug fixes in
  glibc-2.10-branch.patch (patch with pull from Petr Baudis repository
  at git://repo.or.cz/glibc/pb-stable.git glibc-2.10-branch).
- Updated glibc-2.10-branch.patch, and drop i386-futex-typo patch merged
  at it.

* Thu Jun 25 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 6:2.10.1-4mnb2
+ Revision: 389221
- add a versioned buildrequires on spec-helper just to be on the safe side :)
- with the mystery of the missing debug symbols solved in spec-helper 0.30.5,
  rebuild to really solve this one (closes #51374)

* Tue Jun 23 2009 Pascal Terjan <pterjan@mandriva.org> 6:2.10.1-3mnb2
+ Revision: 388677
- Rebuild to hopefuly get -debug

* Thu Jun 11 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.10.1-2mnb2
+ Revision: 385040
- Fixed free_check locking issue (#51545).
- Fixed typo in i386 version of LOAD_FUTEX_WAIT_ABS macro.
- Updated glibc 2.10.1 branch patch (glibc-2.10-branch.patch).

* Wed May 27 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.10.1-1mnb2
+ Revision: 380201
- Updated to version 2.10.1
- Dropped merged patches:
  glibc-2.9-bz7067.patch
  glibc-2.9-bz9741.patch
  glibc-2.9-fedora_upstream_fixes.patch
  glibc-2.9-expm1-error.patch
  glibc-2.9-bz6545.patch
  glibc-2.9-bz9750.patch
  glibc-2.9-bz9694.patch
  glibc-2.9-en_GB-first-week-work-day.patch
  glibc-2.9-newer-link-scripts-insert-_begin.patch
  glibc-2.9-SHM_EXEC.patch
  glibc-2.9-dup2_avoid_access_through_PLT.patch
  glibc-2.9-bz7056.patch
  glibc-2.9-_nss_dns_gethostbyaddr2_r-buffer-aligment.patch
  glibc-2.9-bug-hsearch1.patch
  glibc-2.9-bz7040.patch
- Include patch with pull from "git://repo.or.cz/glibc/pb-stable.git
  glibc-2.10-branch", glibc 2.10.1 branch provided by Petr Baudis from
  Suse (http://sources.redhat.com/ml/libc-alpha/2009-05/msg00117.html)
- Rediffed patches: mdv-avx-owl-crypt, mdv-owl-crypt_freesec, multiarch,
  biarch-cpp-defines
- Drop glibc-2.9-dns-no-gethostbyname4.patch, newer glibc has handling
  now to workaround IPv4-IPv6 parallel lookup problems with broken DNS
  servers.

* Mon Apr 06 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.9-0.20081113.5mnb2
+ Revision: 364483
- Fix first_weekday/first_workday for en_GB locale (#49506).

* Mon Apr 06 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.9-0.20081113.4mnb2
+ Revision: 364480
- Conflict with fileutils < 4.3.5 to avoid problems when upgrading
  (#49589).

* Thu Mar 26 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.9-0.20081113.3mnb2
+ Revision: 361466
- Added fixes from glibc cvs for:
  * upstream glibc bz7056 (closes also mdv bug #49142).
  * build issue with binutils 2.19.51.0.2, reference:
    http://sourceware.org/bugzilla/show_bug.cgi?id=9843

* Fri Feb 06 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.9-0.20081113.2mnb2
+ Revision: 338006
- Add fixes from glibc cvs that deals with following upstream tickets:
  bz7067, bz9741, bz6545, bz9750, bz9694, bz7040. Also another
  miscellaneous fixes included (patches expm1-error, SHM_EXEC,
  _nss_dns_gethostbyaddr2_r-buffer-aligment bug-hsearch1).
- Avoid backup file created with patch glibc-2.9-fedora_upstream_fixes.patch to
  end up in glibc-i18ndata package.

* Mon Jan 19 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.9-0.20081113.1mnb2
+ Revision: 331180
- Additional fix on top of fedora_upstream_fixes added from glibc cvs to
  avoid local plt check error (make check).
- Removed some uneeded old patches.
- Update glibc to version 2.9 (20081113).
- Unfuzz following patches:
  glibc-2.9-ldd-non-exec.patch
  glibc-2.9-share-locale.patch
  glibc-2.2.5-nscd-no-host-cache.patch
  glibc-2.7-mdv-owl-crypt_freesec.patch
  glibc-2.3.5-avx-relocate_fcrypt.patch
- Remove uneeded patch glibc-2.1.95-string2-pointer-arith.patch, there is no
  need to force cast to char * for point arithmetic, as explicitely the gcc
  extension for void * pointer arithmetic is being used.
- Removed patches already applied:
  glibc-2.3.2-config-amd64-alias.patch
  glibc-nscd_fixes.patch
  glibc-2.8-tst-iconv-fixes.patch
- Apply 'hot fixes' from fedora/upstream and workaround for glibc bz7060

* Fri Aug 29 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.8-1.20080520.5mnb2
+ Revision: 277480
- Handle properly upgrades from ld.so.conf with relative ld.so.conf.d
  include path after previous commit.

  + Helio Chissini de Castro <helio@mandriva.com>
    - Lack of relative path on ld.so.conf is breaking usage of ldconfig -r. Reviewed by Herton

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - handle libraries in non-standard locations with ld.so.conf config in /etc/ld.so.conf.d/
    - fix file trigger filter match for lib64

* Wed Jul 02 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.8-1.20080520.4mnb2
+ Revision: 230820
- Add more should start entries for nscd init service, reported by
  Guillaume Rousse (#41055).
- Added more upstream nscd fixes.
- Add upstream change that replaces
  glibc-2.8-bug-iconv6_tst-iconv7-localedata.patch (one of bug-iconv6
  and tst-iconv7 fixes). I didn't saw that there were already a change
  that fixed the same issue.

  + Vincent Danen <vdanen@mandriva.com>
    - properly use conditionals for build_i18ndata and build_timezone so recent rpm doesn't complain
    - update the wrapper_handle_sha patch to fully handle sha256c and sha512c; this makes sha256c viable with passwd (although sha512c still needs some work)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Jun 05 2008 Pixel <pixel@mandriva.com> 6:2.8-1.20080520.3mnb2
+ Revision: 215279
- add rpm filetrigger running "ldconfig -X" when rpm install/remove libraries
- drop patch5 since ldconfig is now nicely handled using rpm filetrigger

* Mon May 26 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.8-1.20080520.2mnb2
+ Revision: 211410
- Add bug-iconv6 and tst-iconv7 fixes from glibc cvs. Even with them
  tests would fail: localedata isn't processed before iconvdata, so
  de_DE.UTF-8 isn't available for the tests. Probably this wasn't
  catched as this problem is masked if de_DE.UTF-8 is already installed
  on main system. Made a patch to make iconvdata depend on localedata.
- nscd init service should start ldap service if present (mdv bug
  41055).
- Remove patches not needed anymore for glibc tests related to gcc 4.2
- Cleanup mdkversion uses from spec: there is no reason for backporting
  or using current package on older distro releases.
- Use different numbering scheme in package release for this glibc 2.8
  "stable-snapshot" release, discussed on Cooker mailing list (asked by
  Anssi Hannula, Thierry Vignaud).
- Remove uneeded README.upgrade.urpmi message since addition of Provides
  to "should-restart = system".
- Rediffed ENOTTY-fr-translation patch.

* Wed May 21 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.8-1mnb2
+ Revision: 209635
- Disable temporarily make check for x86_64.
- Update to glibc 2.8 (no official tarball, generated one from
  glibc-2_8-branch glibc cvs branch).
- Drop glibc cvs patches already applied.
- Merge glibc-2.3.4-nscd-fixes.patch and glibc-2.6-nscd_HUP.patch into
  glibc-nscd_fixes.patch and added more updates/fixes from RedHat.
- Removed update for perl 5.10 (mtrace-perl-5.10.0 patch), already
  applied.

* Tue May 06 2008 Vincent Danen <vdanen@mandriva.com> 6:2.7-13mnb2
+ Revision: 201765
- bump release
- imported crypt-blowfish support from Annvix (2.6.1-8123avx):
  - added crypt-blowfish 1.0.2
  - added crypt_freesec.[ch] source files
  - crypt_freesec.patch which addes support for extended/new-style/BSDI hashes in crypt(3)
  - relocate_fcrypt.patch relocates the fcrypt definition from crypt-entry.c to crypt_blowfish's wrapper.c to enable gcc4 builds
  - increase_BF_FRAME.pach increases the BF_FRAME and BF_CLEAN values
  - crypt.patch is the crypt_blowfish patch for glibc 2.4 (rediffed from the crypt_blowfish package)
  - packages provide glibc-crypt_blowfish
- rediffed crypt.patch
- rediffed crypt_freesec.patch
- added wrapper_handle_sha.patch to add sha256-crypt and sha512-crypt support to the Openwall wrapper.c file, otherwise sha(256|512)-crypt support won't work

* Thu Mar 20 2008 Toshihiro Yamagishi <toshihiro@turbolinux.co.jp> 6:2.7-12mnb1
+ Revision: 189119
- use %%_real_vendor macro instead of mandriva as rpmscripts directory name.

* Wed Mar 12 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.7-11mnb1
+ Revision: 187259
- Disable again make check failure for i[3456]8: failure happens on
  build system but not locally here, and 32 bits on x86_64 fails too
  because missing 32 libs (fixable later with BuildRequires etc.).
- Revert again change that causes java programs use too much memory on
  x86_64 (#38830).
- Workaround test-double failure on x86 with gcc 4.2, found out by
  Makoto Dei (#38794). Also reenable make check failure for i[3456]8.

* Mon Mar 10 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.7-10mnb1
+ Revision: 183209
- Added cacheinfo update for Intel Tolapai and fix for bz5541 from glibc
  cvs.

  + Anssi Hannula <anssi@mandriva.org>
    - add comments regarding _(provides|requires)_exceptions

* Tue Mar 04 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.7-9mnb1
+ Revision: 178439
- Provides should be used for previous change (not Suggests), reported
  by Anssi Hannula.

* Mon Mar 03 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.7-8mnb1
+ Revision: 178073
- Added "Suggests: should-restart = system" to main glibc package,
  proposed by Frederic Crozat (see "RFC: add support in packages for
  notifying user about system reboot needed (or service restart needed)"
  message on cooker ML).

* Wed Feb 27 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.7-7mnb1
+ Revision: 175818
- Require dash-static instead of dash, because dash requires glibc and
  introduces dependency problems (reported by Pascal Rigaux - pixel).

* Tue Feb 26 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.7-6mnb1
+ Revision: 175412
- Added fixes from glibc cvs: bz5465, fix-tzh_version-check,
  i486-memmove-with-fortify-fix, x86_64-memset-add-missing-sfence,
  bz5439, bz5441, bz5346.

  + Pixel <pixel@mandriva.com>
    - replace %%mkrel with %%manbo_mkrel for Manbo Core 1

* Sun Feb 10 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.7-5mdv2008.1
+ Revision: 164745
- Rebuild glibc with kernel-headers-2.6.24-2mdv2008.1

* Fri Feb 08 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.7-4mdv2008.1
+ Revision: 164302
- Removed kernel-headers, now provided by a standalone package.

* Fri Feb 08 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.7-3mdv2008.1
+ Revision: 164149
- Prepare to remove kernel-headers from glibc-devel package (removed
  provides, obsoletes and header files, to be able to insert separated
  kernel-headers package on distro).

* Fri Feb 01 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.7-2mdv2008.1
+ Revision: 161195
- Added patch to avoid $* deprecated warning when using perl 5.10.0 with
  mtrace.
- Updated kernel-headers to version 2.6.24.1mdv
- Added manual fixes from glibc cvs (glibc-2.7-manual_update.patch).
  Removed glibc-2.6-texi_buildpdf_fix.patch, as this obsoletes it.
- Added fixes for bz5222 and bz5600 from glibc cvs.

* Fri Jan 04 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.7-1mdv2008.1
+ Revision: 144915
- Updated to version 2.7
- Updated kernel-headers to version 2.6.24-0.rc6.3mdv
- Removed glibc-2.4.90-powerpc-no-clock_gettime-vdso.patch, seems to be
  not needed anymore.
- Added patch from upstream cvs to fix i586 build
  (glibc-2.7-memcpy_chk_i586.patch).
- Removed already applied patches in glibc 2.7:
  glibc-2.5-ldconfig-old-cache.diff
  glibc-cvs-nscd_dont_cache_ttl0.patch
  glibc-cvs-utimensat.patch
  glibc-bz4599.patch
  glibc-bz4125.patch
  glibc-cvs-gcc_init_fini.patch
  glibc-bz4647.patch
  glibc-bz4773.patch
  glibc-_nl_explode_name_segfault_fix.patch
  glibc-bz4776.patch
  glibc-bz4775.patch
  glibc-cvs-popen_bug_fix.patch
  glibc-bz4792.patch
  glibc-cvs-_cs_posix_v6_width_restricted_envs.patch
  glibc-bz4813.patch
  glibc-bz4812.patch
  glibc-bz4772.patch
  glibc-cvs-warning_patrol_fixes.patch
  glibc-cvs-getconf_add_missing_lvl4_cache_linesize.patch
  glibc-cvs-libc_texinfo_update.patch
  glibc-cvs-ix86_rwlock_fixes.patch
  glibc-cvs-gettext_memleak_fixes.patch
  glibc-cvs-strtod_handle_minuszero.patch
  glibc-cvs-ar_SA-dz_BT-LC_TIME-fixes.patch
  glibc-cvs-po_updates.patch
  glibc-cvs-rh250492.patch
- Removed already applied kernel-headers-dvb-video-fix-includes.patch in
  kernel headers.
- Fix test-ldouble with gcc 4.2 on x86. test-double still fails though,
  so disable make check failure for i[3456]8; it passes on x86_64, not
  sure if it's related to gcc 4.2, will need a better check later and
  someone that knows better about complex math.
- Rebuild with new lzma to fix permissions of man pages (#36176).

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 31 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.6.1-5mdv2008.1
+ Revision: 104208
- gconv-modules.cache is volatile (always changed by iconvconfig on
  post), mark it as ghost in rpm files section, so it's ignored in rpm
  -V output.
- Fix installation of lib{memusage,pcprofile}.so files (#35178). Don't
  move them around anymore and hack xtrace/memusage, just use upstream
  defaults avoiding troubles like this in the future.

* Thu Sep 27 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.6.1-4mdv2008.0
+ Revision: 93205
- Revert pl_PL LC_TIME changes from glibc 2.6, it's causing problems for
  polish users, see http://qa.mandriva.com/show_bug.cgi?id=34134

* Fri Aug 31 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.6.1-3mdv2008.0
+ Revision: 76895
- Rebuild for fixed package changelog.

* Mon Aug 27 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.6.1-2mdv2008.0
+ Revision: 72022
- Added ldconfig cache speed up patch (added upstream, reported by
  Pascal Rigaux).
- Make package own ld.so.cache.
- Added pt_BR-i18nfixes patch, minor translation fixes for
  pt_BR, see patch for credits.
- Provide gai.conf sample.

  + Thierry Vignaud <tv@mandriva.org>
    - buildrequires obsoletes buildprereq

* Wed Aug 08 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.6.1-1mdv2008.0
+ Revision: 60011
- Updated to version 2.6.1 (technically with previously added patches we
  were already there, this is more a cosmetic change).
- Removed patches already applied in 2.6.1: x86_64-memcpy_cacheinfo,
  epoll, nscd_get_mapping_crash_fix, sparc_build_fix,
  provide_CFI_for_the_outermost_function (reverted apply),
  i386_sync_file_range, bz4745, branch_misc_fixes, malloc,
  x86_64_dummy_files_prevent_stub, bz4512, bz4514,
  ld_hwcap_mask_handling_fix, bz4858, pthread_getattr_np_fix,
  tst_shm_fstat64, ldbl128ibm_fixes, bz4702.
- Added the following upstream fixes: rh250492, strtod_handle_minuszero,
  libc_texinfo_update, ar_SA-dz_BT-LC_TIME-fixes, po_updates,
  gettext_memleak_fixes, ix86_rwlock_fixes.
- Updated warning_patrol_fixes patch with more fixes.
- Really enable libidn addon.

* Mon Aug 06 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.6-6mdv2008.0
+ Revision: 59528
- Added patch texi_buildpdf_fix, to fix build when build_pdf_doc is
  enabled (parse error fixes for texi2dvi).
- Re-enabled glibc-doc-pdf again (it was fixed in tetex 3.0-23mdk), from
  Giuseppe Ghib?\195?\178 <ghibo@mandriva.com>.

  + Anssi Hannula <anssi@mandriva.org>
    - Really apply kernel-headers-dvb-video-fix-includes.patch.

* Thu Aug 02 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.6-5mdv2008.0
+ Revision: 58194
- Updated kernel-headers to version 2.6.22.3mdv. The only change inside
  it is to add pci_ids.h file, needed by ldetect as reported by Thierry
  Vignaud.

* Mon Jul 30 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.6-4mdv2008.0
+ Revision: 56752
- Fixed missing header on popen_bug_fix patch.
- Added one more fix that went upstream related to
  _nl_explode_name_segfault_fix patch.
- Updated nscd_HUP patch from fedora.
- Added more fixes/additions that went upstream: bz4813, bz4772,
  warning_patrol_fixes, sparc_build_fix, bz4812, bz4792, bz4858,
  _cs_posix_v6_width_restricted_envs,
  getconf_add_missing_lvl4_cache_linesize.

* Wed Jul 25 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.6-3mdv2008.0
+ Revision: 55382
- As reported and found out by Anssi Hannula, revert the following
  upstream change:
  2006-11-30  Jan Kratochvil  <jan.kratochvil@redhat.com>
  	* sysdeps/unix/sysv/linux/i386/clone.S: Provide CFI for the
  	* outermost
  	`clone' function to ensure proper unwinding stop of gdb.
  	* sysdeps/unix/sysv/linux/x86_64/clone.S: Likewise.
  It is causing memory leaks with gcj 4.3 on some cases on x86_64, and
  probably other problems, may be because of a binutils bug.
- Added fix for a popen bug from glibc cvs.

* Fri Jul 20 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 6:2.6-2mdv2008.0
+ Revision: 53918
- Added patch from Anssi Hannula to fix a kernel header issue
  (kernel-headers-dvb-video-fix-includes.patch).
- Added missing fixes to ldbl128ibm_fixes patch.
- Removed hunk from kernel-headers-gnu-extensions.patch that patched
  linux/byteorder/swab.h, as code changed and isn't needed anymore (no
  need now for __extension__ as code no more uses "({ ... })" gcc
  extension).
- Updated kernel-headers to version 2.6.22.1mdv.
- Replaced init_tls_calls with more complete branch_misc_fixes patch,
  that includes it along with more fixes from upstream glibc 2.6 branch.
- Added upstream fix bz4775.
- Don't use echo on post, instead use README.upgrade.urpmi because of
  rpmdrake, as reported by Anssi Hannula. Also use better warning
  message.
- Removed glibc-post-upgrade, dont't restart all services on update
  (#21730). Only re-exec init and sshd if possible/needed.

  + Ademar de Souza Reis Jr <ademar@mandriva.com.br>
    - remove unecessary 'xset fp=[...]' from %%post, since xfs is not
      used anymore (besides, it was pointing to the wrong location)

* Fri Jul 13 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.6-1mdv2008.0
+ Revision: 51838
- Only allow make check to fail if current running kernel version is
  known to work.
- Added more fixes from Jakub Jelinek (upstream):
  _nl_explode_name_segfault_fix, bz4776.
- Deal with LD_LIBRARY_PATH bug when building package between major
  glibc versions.
- Added upstream fixes: nscd_get_mapping_crash_fix, bz4599,
  gcc_init_fini, i386_sync_file_range, init_tls_calls, bz4745, bz4647,
  x86_64_dummy_files_prevent_stub, ld_hwcap_mask_handling_fix,
  bz4773, pthread_getattr_np_fix, tst_shm_fstat64, ldbl128ibm_fixes,
  bz4125, bz4702, nscd_dont_cache_ttl0, utimensat, bz4586.
- Replaced amd64-string patch with x86_64-memcpy_cacheinfo that went
  upstream.
- Replaced futex-waiters with bz4512 patch (only test cases added).
- Replaced printf diff with glibc-bz4514.patch.
- Use new gcc 4.2 -mtune=generic flags for BuildFlags on x86/x86_64.
- Updated kernel headers (2.6.21.2mdv). Because of this removed/modified
  the following patches:
  * avx-kernel-headers-audit_support: already applied.
  * kernel-headers-include-2.6.17.1mdk, syscall-mem-clobbers: obsolete,
    not needed anymore.
  * gnu-extensions: modified, one hunk is not applying anymore as the
    file it patches is gone.
  This new kernel headers use the new scheme of sanitized upstream
  kernel headers, the tarball is generated from make
  headers_install_all.
- Updated create_asm_headers.sh script for new kernel headers.
- Added upstream/redhat patches printf, malloc, futex-waiters, epoll.
  Fix bugs/incompatibility issues in glibc 2.6 (the diffs are from
  suse).
- Updated to version 2.6.
- Redid patches that were not applying anymore: nscd_HUP, nice_fix,
  multiarch, new-charsets.
- Drop patches already applied: hwcap-check-platform, brazil-daylight,
  slovenia-euro, unicode5, all bz* patches, powerpc-ldbl-fixes,
  powerpc-hwcaps, fix-nptl-testcases, powerpc-regdump,
  ttyname-dont-use-isatty, fix-ppc32-setcontext,
  fix-pthread_mutex_timedlock.
- Disabled amd64 patches new-libm, amd64-fix-ceil, amd64-string: don't
  apply anymore, are not approved upstream yet, no updated version.

  + Andreas Hasenack <andreas@mandriva.com>
    - added audit patch, from Vdanen, so we can build audit

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - merge ldconfig package with glibc package
    - replace file dependency /sbin/install-info with package dependency info-install
    - s/mandrake/mandriva/
    - do not build and install localedata for $ALT_ARCH too (fixes #27214)
    - drop libnldbl_nonshared.a from sparc64 (fixes #30589)
    - fix reckless usage of s/.bz2// that broke patch names

  + Pixel <pixel@mandriva.com>
    - explicit file provide /sbin/ldconfig

